Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher
Class MuleContainer

    java.lang.Object
      org.mule.module.launcher.MuleContainer

    public class MuleContainer

extends Object

Field Summary
`static String[][]` | `CLI_OPTIONS`
`protected DeploymentService` | `deploymentService`

Constructor Summary
`MuleContainer()`
`MuleContainer(String[] args)` Configure the server with command-line arguments.

Method Summary
`protected void` | `doShutdown()`
`Log` | `getLogger()`
`static String` | `getStartupPropertiesFile()`
`protected void` | `init(String[] args)`
`static void` | `main(String[] args)` Application entry point.
`void` | `registerShutdownHook()`
`static void` | `setStartupPropertiesFile(String startupPropertiesFile)`
`void` | `shutdown()` shutdown the server.
`void` | `shutdown(Throwable e)` Will shut down the server displaying the cause and time of the shutdown
`void` | `start(boolean registerShutdownHook)`
`void` | `unregisterShutdownHook()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLI_OPTIONS

    public static final String[][] CLI_OPTIONS

### deploymentService

    protected DeploymentService deploymentService

Constructor Detail

### MuleContainer

    public MuleContainer()

### MuleContainer

    public MuleContainer(String[] args)
                  throws IllegalArgumentException

  Configure the server with command-line arguments.

  Throws:
    `IllegalArgumentException`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Application entry point.

  Parameters:
    `args` - command-line args
  Throws:
    `Exception`

### init

    protected void init(String[] args)
                 throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### start

    public void start(boolean registerShutdownHook)

### shutdown

    public void shutdown(Throwable e)

  Will shut down the server displaying the cause and time of the shutdown

  Parameters:
    `e` - the exception that caused the shutdown

### shutdown

    public void shutdown()

  shutdown the server. This just displays the time the server shut down

### doShutdown

    protected void doShutdown()

### getLogger

    public Log getLogger()

### registerShutdownHook

    public void registerShutdownHook()

### unregisterShutdownHook

    public void unregisterShutdownHook()

### getStartupPropertiesFile

    public static String getStartupPropertiesFile()

### setStartupPropertiesFile

    public static void setStartupPropertiesFile(String startupPropertiesFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.